﻿@model Infrastructure.ViewModels.KPI.KpiCatalogAreaListViewModel
@using Microsoft.AspNetCore.Mvc.Localization
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
}
@{
    var nbItem = 0;
    var itemsPerRow = 2;
    var openrow = "<div class=\"row\">";
    var closerow = "</div> <!-- row -->";
}
@foreach (var item in Model.KpiCatalogAreas)
{
    @if (nbItem % itemsPerRow == 0)
    {
        @Html.Raw(openrow)
    }
    <!-- KPI 1 -->
    <div class="col-lg-6">
        <div class="ibox">
            <div class="ibox-title">
                <h5>@item.name</h5>
                <div class="ibox-tools">
                    <a class="fullscreen-link">
                        <i class="fa fa-expand"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
                <div class="scroll_content">
                    <p>
                        @item.description
                        <br />
                        @item.YAxisLabel (@item.Unit)
                        <ul>
                            @foreach (var itemVariable in item.Variables)
                            {
                                <li><strong>@itemVariable.Name</strong>: @itemVariable.Value</li>
                            }
                        </ul>
                    </p>
                    <p>
                        Formula: <strong>@item.Formula</strong>
                    </p>
                    <strong>Flavors for this KPI</strong>

                    @{
                        var flavorNumber = 1;
                    }

                    @foreach (var kpi in item.kpis)
                    {
                <p>
                    <strong>@flavorNumber.</strong> Measured <span class="label label-success">@kpi.perioddisplay</span>
                    @if (kpi.group != KPIClassLibrary.KPI.KPIGroupType.None)
                    {
                        @Html.Raw(" Group by") <span class="label label-warning">@kpi.groupdisplay</span>
                    }
                    @if (kpi.Filters.Count > 0)
                    {
                        @Html.Raw(" Filter by") <span class="label label-info">@kpi.filtersdisplay</span>
                    }
                    <br />
                    <small>Code: <a asp-action="TestKpi" asp-controller="Catalog" asp-route-kpiid="@kpi.classname">@kpi.classname</a> </small>
                </p>
                        flavorNumber++;
                    }
                </div>
            </div>
        </div>
    </div>
    @if (nbItem % itemsPerRow == 1)
    {
        @Html.Raw(closerow)
    }
    nbItem++;
}
@if (nbItem % itemsPerRow > 0)
{
    @Html.Raw(closerow)
}
